package com.example.elbuenopeso.ui.dashboard

import AdAdapter
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ListView
import androidx.fragment.app.Fragment
import androidx.lifecycle.ViewModelProvider
import com.example.elbuenopeso.databinding.FragmentMarketBinding
import com.example.elbuenopeso.models.AdModel
import com.example.elbuenopeso.R

class MarketFragment : Fragment() {

    private var _binding: FragmentMarketBinding? = null

    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        val marketViewModel =
            ViewModelProvider(this)[MarketViewModel::class.java]

        _binding = FragmentMarketBinding.inflate(inflater, container, false)
        val root: View = binding.root

        val listView: ListView = binding.listView
        // seed market items
        var annonces: List<AdModel> = listOf<AdModel>(
            AdModel("Poutre", "1 rue Jean-Pierre", R.drawable.pichu),
            AdModel("Briques", "2 rue Jean-Michel", R.drawable.pichu),
            AdModel("Mur en bois", "4 rue Alain-Juju", R.drawable.pichu),
            AdModel("Maison de pierre", "7 rue Joris Belhomme", R.drawable.pichu),
            AdModel("Téléphone de Timothé", "8 rue de Timothé", R.drawable.pichu),
            AdModel("Oridnateur", "10 rue Jean-Charles", R.drawable.pichu),
            AdModel("Charnières", "22 rue Jeanne-Marie", R.drawable.pichu),
            AdModel("Porte en marbre", "1 rue Jean-Pierre", R.drawable.pichu),
            AdModel("Cheminée", "33 rue du Gouvernement", R.drawable.pichu),
        )

        var adAdapter: AdAdapter = AdAdapter(requireContext(), annonces)
        listView.adapter = adAdapter
        /*marketViewModel.text.observe(viewLifecycleOwner) {
            textView.text = it
        }*/

        return root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}